> SGTP Service Configuration Mode Commands
> The SGSN GPRS Tunneling Protocol (SGTP) Service configuration mode provides the configuration of GTP-C and GTP-U related parameters for the SGSN.
> Important: The commands or keywords/variables that are available are dependent on platform type, product version, and installed license(s).
> end
> Exits the configuration mode and returns to the Exec mode.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> end
> Usage
> Change the mode back to the Exec mode.
> exit
> Exits the configuration mode and returns to the Global configuration mode.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> exit
> Usage
> Return to the Global configuration mode.
> gtpc
> Configure the GPRS Tunneling Protocol Control (GTP-C) settings for the SGTP service.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> gtpc { bind address ip_address | dns-sgsn context cntxt_name | echo-interval seconds | guard-interval seconds | ignore response-port-validation | max-retransmissions num | retransmission-timeout seconds | send { common flags | rab-context } }
> no gtpc { bind address ip_address | dns-sgsn context cntxt_name | echo-interval seconds | send { common flags | rab-context } }
> default gtpc { echo-interval | guard-interval | ignore response-port-validation | max-retransmissions | retransmission-timeout | send { common flags | rab-context } }
> no
> Disables the configured GTPC setting.
> default
> Resets the specified parameter to its default value.
> bind address ip_address
> Binds SGTP service to the IP address of the interface. Enter a standard dotted-quad IPv4 address.
> The bind address for the gtpc and gtpu commands should be the same.
> dns-sgsn context cntxt_name
> Enter a string of 1 to 79 alphanumeric characters to identify the context name.
> echo-interval seconds
> Default: 60
> seconds must be an integer from 0 through 3600. Configures the duration between echos.
> guard-interval seconds
> Default: 100
> Configures the interval (in seconds) for which the SGTP maintains responses sent to SGSN. This optimizes the handling of retransmitted messages. This value should be configured to be greater than the SGSN's configuration for max-retries multiple by retry-interval.
> seconds : Must be an integer from 10 to 3600.
> ignore response-port-validation
> This keyword is available in releases 8.1 and higher.
> Default: disabled. To reset the default for this parameter, you must enter the following command: no gtpc ignore response-port-validation.
> This keyword instructs the SGSN to ignore the response port validation.
> For the SGSN to process incoming GTP responses to an incorrect port,

> • | this keyword must be entered, and

> • | the same bind address must be configured for GTPC and GTPU in the SGTP service.

> max-retransmissions num
> Default: 4
> Configures the maximum number of retries for packets.
> num : Must be an integer from 0 to 15.
> retransmission-timeout seconds
> Default: 5
> Configures the control packet retransmission timeout in GTP, in seconds.
> seconds must be an integer value from 1 through 20.
> send { common-flags | rab-context }
> common-flags : This option configures the SGTP service to include or exclude the common flags IE during an Inter-SGSN RAU. When selected, the default is to send the common flags IE.
> rab-context : This option configures the SGTP service to include/exclude the radio access bearer (RAB) context IE in SGSN ‘context response’ message during Inter-SGSN Routing Area Update procedure. Default is to send the RAB context IE.
> Usage
> Use this command to configure GTP-C settings for the current SGTP service.
> Example
> Following command excludes the radio access bearer (RAB) context IE in the SGSN Context Response message during the inter-SGSN RAU procedure:
> no gtpc send rab-context
> gtpu
> This command configures the GPRS Tunneling Protocol user data plane parameters (GTP-U) for this SGTP service.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> gtpu { bind address ip_address | echo-interval | max-retransmissions | retransmission-timeout } +
> no gtpu { bind | echo-interval }
> default gtpu { echo-interval | max-retransmissions | retransmission-timeout }
> no
> Removes the configuration for the specified parameter from the current SGTP service configuration.
> default
> Resets the specified GTP-U parameter to its factory default.
> bind address ip_address
> Defines the GTP-U Gn interface IP address that binds to this SGTP service.
> The gtpu and the gtpc commands should be configured with the same bind address.
> echo-interval seconds
> Default: 60
> Configures the echo interval.
> seconds : Must be an integer from 60 through 3600.
> max-retransmissions num
> Default: 4
> Configures the maximum number of retries for packets.
> num : Must be an integer from 0 through 15.
> retransmission-timeout seconds
> Default: 5
> Configures the retransmission timeout of packets, in seconds.
> seconds : Must be an integer from 1 through 20.
> Usage
> Use this command to configure the GTP-U settings for the SGTP service.
> Example
> gtpu echo-interval 5
> path-failure
> This command specifies the method for determining if path failure has occurred.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> path-failure detection-policy gtp type
> no path-failure detection-policy
> no
> Deletes the path-failure definition from the configuration.
> detection-policy gtp type
> Default: echo (for both GTPC and GTPU)
> Specifies the policy to be used, value options include:

> • | echo - When set to ‘echo’, path failure is detected when the retries of echo messages time out.

> • | non-echo - When set to ‘non-echo’, path failure is detected when the retries of non-echo messages time out.

> Usage
> Use this command to define the policy to detect gtp path failure.
> Example
> path-failure detection-policy gtp echo
> pool
> This command enables the default SGSN functionality for (flex) pooling and enables inclusion of the configured pool hop-counter count in new SGSN context/identify request messages.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> pool { default-sgsn | hop-counter count }
> default pool hop-counter
> no pool { default-sgsn | hop-counter }
> default
> Removes the SGSN pool hop-counter IE from the GTP Identity/context requests..
> no
> Disables the default SGSN pooling functionality or removes the SGSN pool hop-counter IE from the GTP Identity/context requests.
> default-sgsn
> Enables default SGSN pooling functionality for this SGSN.
> hop-counter count
> Default: 4
> Enables and configures the SGSN pool hop-counter to set the number of hops and to include the configured count in the new SGSN Context Requests or the new SGSN Identify Requests.
> If default-sgsn is enabled, then any messages relayed will have the default value of 4 for the counter if the message does not include this hop-counter ID.
> count : Must be an integer from 1 to 255.
> Usage
> Use this command to enable the default flex functionality without exposing the pool (flex) structure. This functionality provides a means for SGSNs outside of the pool to reach a pooled SGSN on the basis of its NRI.
> Once the pooling has been enabled. Repeat the command using the hop-counter keyword to enable inclusion of the hop-counter IE in SGSN context/identify request messages and to configure the count for the pooling hop-counter. If the SGSN is behaving as the ‘default SGSN’, this SGSN will forward (relay) requests with the hop-count included to the target SGSN.
> Example
> Enable the default pooling functionality which allows an outside SGSN to reach a pooled SGSN:
> pool default-sgsn
> Set the hop-count to be included in messages to 25:
> pool hop-count 25

Cisco Systems Inc.
Tel: 408-526-4000
Fax: 408-527-0883